package com.gloomyer.diff_update;

import android.content.Context;
import android.content.Intent;
import android.content.pm.ApplicationInfo;
import android.net.Uri;
import android.text.TextUtils;

/**
 * Created by Gloomy on 2017/6/26.
 */

class ApkUtils {

    public static String getOldPath(Context mContext, String packageName) {
        if (TextUtils.isEmpty(packageName))
            return null;

        try {
            ApplicationInfo appInfo = mContext.getPackageManager()
                    .getApplicationInfo(packageName, 0);
            return appInfo.sourceDir;
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }



    public static void installApk(Context mContext, String apkPath) {

        Intent intent = new Intent(Intent.ACTION_VIEW);
        intent.setDataAndType(Uri.parse("file://" + apkPath),
                "application/vnd.android.package-archive");
        mContext.startActivity(intent);
    }
}
